#include "monocon_hyogo.h"
void setup() {
config_init();
ENCcount = 0;
left_seg= num[17];
right_seg= num[17];
fled = BLACK;
Serial.begin(9600);
}

int lednumber = 1;
int timenumber = 1;
int start = 0;
int count = 1;
int led[11];
int ledtime[11] = {1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000};
int stop[5];
int ran;

void loop() {

  //スライダー確認用
  /*
  if( ran_count <= 8 ){
    fled = RED;
  }else if( ran_count >= 12 ){
    fled = BLUE;
  }else{
    fled = YELLOW;
  }
  */

  //スライダー数値調節用
  
  Serial.print( "返還後数値" );
  Serial.print( ran_count );
  Serial.print( "cm" );
  Serial.print( " " );
  Serial.print( "内部関数" );
  Serial.print( ranbase_count );
  Serial.print( " " );
  Serial.print( "計算電圧値" );   //スライダーの最低電圧とヘッダーファイルの最低電圧値を合わせる(テスターとの誤差+-0.1V)
  Serial.print( ran_Vcc );
  Serial.print( "V" );
  Serial.println( " " );
  

  //プログラム動作確認用
  /*
  Serial.print( "LEDNow" );
  Serial.print( ":" );
  Serial.print( led[lednumber - 1] );
  Serial.print( " " );
  Serial.print( "LEDOld1" );
  Serial.print( ":" );
  Serial.print( led[lednumber - 2] );
  Serial.print( " " );
  Serial.print( "LEDOld2" );
  Serial.print( ":" );
  Serial.print( led[lednumber - 3] );
  Serial.print( " " );
  Serial.print( "TimeNow" );
  Serial.print( ":" );
  Serial.print( ledtime[timenumber - 1] );
  Serial.print( " " );
  Serial.print( "TimeOld1" );
  Serial.print( ":" );
  Serial.print( ledtime[timenumber - 2] );
  Serial.print( " " );
  Serial.print( "TimeOld2" );
  Serial.print( ":" );
  Serial.print( ledtime[timenumber - 3] );
  Serial.println( " " );
  */

  if( ran_count <= 8 ){
    ran = 1;
  }else if( ran_count >= 12 ){
    ran = 3;
  }else{
    ran = 2;
  }

  if( digitalRead(TGS) == 0 ){

    left_seg= num[17];
    right_seg= num[17];
    fled = BLACK

    if( digitalRead(TS1) == 0 && lednumber <= 10 ){
      if( stop[0] == 1 ){
        stop[0] = 0;
        led[lednumber] = ran;
        lednumber++;
      }
    }else if( digitalRead(TS1) == 0 ){
      if( stop[0] == 1 ){
        stop[0] = 0;
        tone(BZ,100,100);
      }
    }else{
      delay(10);
      stop[0] = 1;
    }

    if( digitalRead(TS2) == 0 && timenumber <= 10 ){
      if( stop[1] == 1 ){
        stop[1] = 0;
        ledtime[timenumber] = ran * 2 * 1000 - 1000;
        timenumber++;
      }
    }else if( digitalRead(TS2) == 0 ){
      if( stop[1] == 1 ){
        stop[1] = 0;
        tone(BZ,100,100);
      }
    }else{
      stop[1] = 1;
      delay(10);
    }

  }else{

    //タクト1を押したとき(確認)
    if( digitalRead(TS1) == 0 && digitalRead(TS2) == 1 && lednumber > 1 ){
      left_seg= num[18];
      right_seg= num[19];
    }else if( digitalRead(TS1) == 0 && digitalRead(TS2) == 1 ){
      left_seg= num[20];
      right_seg= num[20];
    }

    //タクト2を押したとき(再生)
    if( digitalRead(TS2) == 0 && digitalRead(TS1) == 1 && lednumber > 1 ){
      if( stop[2] == 1 ){
        stop[2] = 0;
        start = 1;
      }
    }else{
      stop[2] = 1;
      delay(10);
    }

    //タクト1と2を同時に押したとき(初期化)
    if( digitalRead(TS2) == 0 && digitalRead(TS1) == 0 ){
      lednumber = 1;
      timenumber = 1;
      left_seg= num[17];
      right_seg= num[17];
      for (int i = 0; i < 11; i++) { //11個全ての配列を初期化する
        led[i] = 0; //ledを0で初期化
        ledtime[i] = 1000; //ledtimeを1000で初期化
      }
      fled = BLACK
    }

  }

  if( start == 1 ){
    for( count = 1 ; count <= lednumber - 1 ; count++ ){
      switch(led[count]){
        case 1:
          fled = RED;
          delay(ledtime[count]);
          Serial.print( count );
          Serial.print( "RED" );
          Serial.println( ledtime[count] );
          break;
        case 2:
          fled = YELLOW;
          delay(ledtime[count]);
          Serial.print( count );
          Serial.print( "YELLOW" );
          Serial.println( ledtime[count] );
          break;
        case 3:
          fled = BLUE;
          delay(ledtime[count]);
          Serial.print( count );
          Serial.print( "BLUE" );
          Serial.println( ledtime[count] );
      }
    }
    start = 0;
  }

}
